package com.qs.mp.web.controller.system;

import com.qs.mp.common.config.MpConfig;
import com.qs.mp.common.utils.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 首页
 *
 * @author ygp
 */
@RestController
public class SysIndexController
{
    /** 系统基础配置 */
    @Autowired
    private MpConfig mpConfig;

    /**
     * 访问首页，提示语
     */
    @RequestMapping("/")
    public String index()
    {
        return StringUtils.format("欢迎使用{}后台管理框架，当前版本：v{}，请通过前端地址访问。", mpConfig.getName(), mpConfig.getVersion());
    }
}
