package com.qs.mp.common;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

import com.qs.mp.common.utils.RandomUtils;
import com.qs.mp.common.utils.http.OkHttpUtil;
import com.qs.mp.common.utils.sign.Md5Utils;

/**
 * @auther duota
 * @create 2021 2021/9/3 11:57 上午
 * @describe
 */
public class BaseControllerTest {

  protected String request(String url, String params) {
    String nonce = RandomUtils.generateString(20);
    Date nowTime = new Date();
    String timestamp = String.valueOf(nowTime.getTime());

    String md5key = "3Jr8S1K18rcC1wAfv8";
    String l = params + "nonce" + timestamp + md5key;
    System.out.println("sign str:" + l);
    String sign = Md5Utils.hash(l);
    System.out.println("sign rst:" + sign);
    Map<String, String> headers = new HashMap<String, String>();
    headers.put("content-type", "application/json; charset=UTF-8");
    headers.put("x-zz-timestamp", timestamp);
    // 本地登录状态
    String token = "eyJhbGciOiJIUzUxMiJ9.eyJsb2dpbl91c2VyX2tleSI6Ijg3ZWM0OGMwLWQ4ZWYtNDcwYS05ZTQ5LThhOWI0NWMzOWM3MSJ9.q3l1Q0xoWBvXY6eZKfEAKXHZclb2ssMdGO4xd5IjvSNnIRdOLT8kA9jsGo8iR2KZOXjaEfN_DBxPfD6vGZpemg";

    if (!StringUtils.isBlank(token)) {
      headers.put("Authorization", "Bearer "+token);
    }
    String reqUrl = url + "sign=" + sign + "&nonce=" + nonce;
    return OkHttpUtil.post(reqUrl, params, headers);
  }

  protected String upload(String url, String params, String filePath, String fileName) {
    String nonce = RandomUtils.generateString(20);
    Date nowTime = new Date();
    String timestamp = String.valueOf(nowTime.getTime());

    String md5key = "3Jr8S1K18rcC1wAfv8";
    String l = params + "nonce" + timestamp + md5key;
    System.out.println("sign str:" + l);
    String sign = Md5Utils.hash(l);

    Map<String, String> headers = new HashMap<String, String>();
    headers.put("x-zz-timestamp", timestamp);
    String token = "eyJhbGciOiJIUzUxMiJ9.eyJleHAiOjE1OTE3NTIwOTQsInVzZXJJZCI6IkU1TDNTUUs2NDlVSUhJVVpDRURLIiwibWdyQ3VsbElkcyI6WyJFNU05V1lRQlkySUs3OVgyQ1QwUyIsIkU1TURLVFowSU0xVFc3N0FXNFFFIiwiRTVPUVJHUkRQQURSMTRYUDYzVTgiLCJFNVFNQUpPSjQ5MkZDQ1M3TkJGSyIsIkU1VUZIRU80UVlWNzYzUVBZOURIIl0sIm93bmVyQ29sbElkIjoiRTVVRkhFTzRRWVY3NjNRUFk5REgifQ.DslDTpM2CELG9BqKr55flZLyS06I8V8RfY3CSUCm12uQAt1mHd3ImpzrXDpHcFdVpyf2_za_JFRVXJ7tv4MstQ"; // 本地登录状态
    if (!StringUtils.isBlank(token)) {
      headers.put("b2b-authorization", token);
    }
    String reqUrl = url + "sign=" + sign + "&nonce=" + nonce;
    //String reqUrl = url;
    try {
      //  return OkHttpUtil.upload(reqUrl, filePath, fileName, headers);
    } catch (Exception e) {
      e.printStackTrace();
    }
    return "";

  }
}
