package com.qs.mp.admin.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 券包明细表实体类
 * @auther quanshu
 * @create 2022-04-29 17:43:54
 */
@TableName("mp_coupon_pkg_item")
@Data
@ApiModel("券包明细表实体类")
public class CouponPkgItem implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 券包id
     */
    @ApiModelProperty("券包id")
    @TableField("coupon_pkg_id")
    private Long couponPkgId;

    /**
     * 优惠券id
     */
    @ApiModelProperty("优惠券id")
    @TableField("coupon_id")
    private Long couponId;

    @ApiModelProperty("优惠券发放数量")
    @TableField("coupon_num")
    private Integer couponNum;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("created_time")
    private Date createdTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("updated_time")
    private Date updatedTime;


}