package com.qs.mp.admin.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 盲票销售渠道关联表实体类
 * @auther quanshu
 * @create 2022-04-29 17:44:27
 */
@TableName("mp_ticket_box_channel")
@Data
@ApiModel("盲票销售渠道关联表实体类")
public class TicketBoxChannel implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 盲票组id
     */
    @ApiModelProperty("盲票组id")
    @TableField("box_id")
    private String boxId;

    /**
     * 渠道id
     */
    @ApiModelProperty("渠道id")
    @TableField("channel_id")
    private Long channelId;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("created_time")
    private Date createdTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("updated_time")
    private Date updatedTime;


}