package com.qs.mp.admin.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 盲票组和标签的关系实体类
 * @auther quanshu
 * @create 2022-03-03 14:38:49
 */
@TableName("mp_ticket_tag_rel")
@Data
public class TicketTagRel implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "id" , type = IdType.AUTO)
  private Long id;

  /**
   * 盲票组ID
   */
  @TableField("box_id")
  private String boxId;

  /**
   * 标签ID
   */
  @TableField("tag_id")
  private String tagId;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
