package com.qs.mp.admin.domain.excel;

import com.qs.mp.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

/**
 * 活动中奖数据导出类
 *
 * @author Cup
 * @date 2022/5/19
 */
@ApiModel("活动中奖数据导出类")
@Data
public class MarketingHitPrizeExcel {

    @Excel(name = "活动名称")
    private String title;

    @Excel(name = "活动编号")
    private Long marketingId;

    @Excel(name = "开奖时间")
    private Date endTime;

    @Excel(name = "奖级")
    private String awardsName;

    @Excel(name = "奖品")
    private String prizeTitle;

    @Excel(name = "商品编号")
    private String refId;

    @Excel(name = "用户昵称")
    private String nickName;

    @Excel(name = "用户手机号")
    private String userPhone;
}
