package com.qs.mp.admin.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Value;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 经销商订单取消入参类
 * @author Cup
 * @date 2022/4/26
 */
@ApiModel("经销商订单取消入参类")
@Data
public class ChannelOrderCancelParam {

    @NotBlank(message = "订单id不能为空")
    @ApiModelProperty(value = "订单id",required = true)
    private String orderId;

}
