package com.qs.mp.admin.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import lombok.Data;

/**
 * @describe 经销商订单列表查询参数
 * @auther quanshu
 * @create 2022-03-07 20:43:44
 */
@ApiModel(value = "经销商订单列表查询参数")
@Data
public class ChannelOrderQueryParam {



	@ApiModelProperty(value = "商品名称", required = false)
	private String title;

	@ApiModelProperty(value = "订单编号", required = false)
	private String orderId;
	
	@ApiModelProperty(value = "经销商ID", required = false)
	private Long channelId;

	@ApiModelProperty(value = "订单状态", required = false)
	private Integer status;
	
	/**
	 * 下单区间-开始时间
	 */
	@ApiModelProperty(value = "开始时间", required = false)
	private Date startTime;

	/**
	 * 下单区间-截止时间
	 */
	@ApiModelProperty(value = "截止时间", required = false)
	private Date endTime;


}
