package com.qs.mp.admin.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 商品排序权重更新入参类
 * @author Cup
 * @date 2022/4/26
 */
@ApiModel("商品排序权重更新入参类")
@Data
public class GoodsUpdateSortWeightParam {


    @ApiModelProperty("商品id")
    private Long goodsId;

    @ApiModelProperty("权重值")
    private Integer sortWeight;
}
