package com.qs.mp.admin.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 营销活动查询入参类
 * @author Cup
 * @date 2022/5/16
 */
@ApiModel("营销活动查询入参类")
@Data
public class MarketingQueryParam {


    @ApiModelProperty("营销活动名称")
    private String title;

    @ApiModelProperty("活动状态:-1关闭,0草稿,1开启,2未开始,3进行中,4已结束")
    private Integer status;

}
