package com.qs.mp.admin.domain.param;


import com.qs.mp.common.domain.ShippingTemplate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 运费模板入参类
 *
 * @author Cup
 * @date 2022/5/5
 */
@ApiModel("运费模板入参类")
@Data
public class ShippingTemplateParam extends ShippingTemplate {


    @ApiModelProperty("运费模板相关规则列表")
    List<ShippingTemplateRuleParam> shippingTemplateRuleList;


}
