package com.qs.mp.admin.domain.param;


import com.qs.mp.common.domain.ShippingTemplateRule;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 运费模板规则入参类
 *
 * @author Cup
 * @date 2022/5/5
 */
@ApiModel("运费模板规则入参类")
@Data
public class ShippingTemplateRuleParam extends ShippingTemplateRule {


    @ApiModelProperty("运费规则相关区域列表")
    List<ShippingTemplateRuleAreaParam> shippingTemplateRuleAreaList;

}
