package com.qs.mp.admin.domain.param;

import com.qs.mp.common.enums.TicketTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import javax.validation.constraints.NotNull;
import lombok.Data;

@ApiModel(value= "盲票组参数")
@Data
public class TicketBoxParam {

	@ApiModelProperty(value = "盲票组ID",required=false)
	private String boxId;

	@ApiModelProperty(value = "分类ID",required=false)
	private Long categoryId;

	@ApiModelProperty(value = "标签ID",required=false)
	private Long tagId;

	@NotNull(message = "盲票类型不能为空")
	@ApiModelProperty(value = "盲票类型",required=true)
	private TicketTypeEnum type;

}
