package com.qs.mp.admin.domain.param;

import com.qs.mp.common.enums.TicketTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import lombok.Data;

@ApiModel(value= "盲票参数")
@Data
public class TicketParam {

	@ApiModelProperty(value = "盲票序列号",required=false)
	private String serialNo;

	@ApiModelProperty(value = "盲票ID",required=false)
	private String ticketId;

	@ApiModelProperty(value = "盲票购买订单ID",required=false)
	private String orderId;

	@ApiModelProperty(value = "奖项ID",required=false)
	private String awardsId;

	@ApiModelProperty(value = "奖品ID",required=false)
	private String prizeId;


}
