package com.qs.mp.admin.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 用户兑换订单查询入参类
 * @author Cup
 * @date 2022/5/10
 */
@ApiModel("用户兑换订单查询入参类")
@Data
public class UserExchangeOrderQueryParam {

    @ApiModelProperty("商品名称")
    private String goodsName;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("最低价值")
    private Integer minExchangePrice;

    @ApiModelProperty("最高价值")
    private Integer maxExchangePrice;

    @ApiModelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date endTime;
}
