package com.qs.mp.admin.domain.vo;

import com.qs.mp.admin.domain.MarketingAwards;
import com.qs.mp.admin.domain.MarketingAwardsPrize;
import com.qs.mp.admin.domain.TicketAwardsPrize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 营销活动奖项出参类
 * @author Cup
 * @date 2022/5/16
 */
@ApiModel("营销活动奖项出参类")
@Data
public class MarketingAwardsVO extends MarketingAwards {

    @ApiModelProperty("奖品列表")
    List<MarketingAwardsPrize> prizeList;
}
