package com.qs.mp.admin.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 活动抽奖码列表数据出参类
 * @author Cup
 * @date 2022/5/17
 */
@ApiModel("活动抽奖码列表数据出参类")
@Data
public class MarketingUserCodeListVO {


    @ApiModelProperty("用户编号")
    private Long userId;

    @ApiModelProperty("用户名称")
    private String nickName;

    @ApiModelProperty("抽奖码")
    private String code;

    @ApiModelProperty("抽奖码获取时间")
    private Date createdTime;

    @ApiModelProperty("奖级")
    private String awardsName;

    @ApiModelProperty("奖品")
    private String prizeName;

}
