package com.qs.mp.admin.domain.vo;

import com.qs.mp.admin.domain.Marketing;
import com.qs.mp.admin.domain.MarketingAwards;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 营销活动详情出参类
 * @author Cup
 * @date 2022/5/16
 */
@ApiModel("营销活动详情出参类")
@Data
public class MarketingVO extends Marketing {

    @ApiModelProperty("奖级列表（后台显示）")
    List<MarketingAwardsVO> awardsList;

}
