package com.qs.mp.channel.domain.param;

import com.qs.mp.common.enums.TicketTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import lombok.Data;

@ApiModel(value= "经销商购物车参数")
@Data
public class ChannelCartParam {

	@NotNull(message = "盲票组ID不能为空")
	@ApiModelProperty(value = "盲票组ID",required=true)
	private String boxId;

	@NotNull(message = "购物清单ID不能为空")
	@ApiModelProperty(value = "购物清单ID",required=true)
	private Long cartId;

	@NotNull(message = "订购数量不能为空")
	@ApiModelProperty(value = "订购数量",required=true)
	private Integer orderNum;

}
