package com.qs.mp.channel.domain.param;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.qs.mp.common.enums.TicketPkgSaleStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 经销商我的盲票查询入参类
 * @author Cup
 * @date 2022/4/21
 */
@ApiModel(value= "经销商我的盲票查询入参类")
@Data
public class ChannelMyTicketQueryParam {

    @ApiModelProperty("销售状态 1待售,2销售中,3已售罄")
    public TicketPkgSaleStatusEnum saleStatus;


    @ApiModelProperty("搜索名称")
    public String searchTitle;


}
