package com.qs.mp.channel.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import javax.validation.constraints.NotNull;
import lombok.Data;

@ApiModel(value= "订单参数")
@Data
public class ChannelOrderParam {

	@ApiModelProperty(value = "购物清单IDs",required=false)
	private List<Long> cartIds;

	@ApiModelProperty(value = "盲票组ID",required=false)
	private String boxId;

	@ApiModelProperty(value = "购买数量",required=false)
	private Integer orderNum;

	@ApiModelProperty(value = "收货地址ID",required=false)
	private Long addrId;
}
