package com.qs.mp.channel.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 经销商盲票转让入参类
 * @author Cup
 * @date 2022/4/21
 */
@ApiModel("经销商盲票转让入参类")
@Data
public class ChannelTicketTransferParam {


    @ApiModelProperty("盲票组id")
    private String boxId;

    @ApiModelProperty("盲票包id")
    private String pkgId;

    @ApiModelProperty("受让人id")
    private Long channelId;

    @ApiModelProperty("受让人手机号")
    private String mobile;

}
