package com.qs.mp.channel.domain.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * @describe 渠道提现参数
 * @auther zhongcp
 * @create 2022-03-04 17:11:47
 */
@Data
public class ChannelWithdrawParam {


  @NotNull(message = "提现金额为空")
  @ApiModelProperty(value = "提现金额",required=true)
  private Integer money;

  @NotNull(message = "持卡人不能为空")
  @ApiModelProperty(value = "持卡人",required=true)
  private String userName;

  @NotNull(message = "卡号不能为空")
  @ApiModelProperty(value = "卡号",required=true)
  private String cardNo;

  @ApiModelProperty(value = "银行名",required=false)
  private String bankName;

  @NotNull(message = "开户行不能为空")
  @ApiModelProperty(value = "开户行",required=true)
  private String branchName;
}
