package com.qs.mp.channel.domain.vo;

import com.qs.mp.admin.domain.vo.TicketBoxListVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/3
 */
@Data
@ApiModel("经销商购物车出参类")
public class ChannelCartVO extends TicketBoxListVO {

  /**
   * 购物车清单ID
   */
  @ApiModelProperty("购物车清单ID")
  private Long cartId;
  /**
   * 订购数量
   */
  @ApiModelProperty("订购数量")
  private Integer orderNum;
}
