package com.qs.mp.channel.domain.vo;

import com.qs.mp.channel.domain.ChannelOrder;
import com.qs.mp.common.domain.DeliveryCompany;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/3
 */
@Data
public class ChannelOrderInfoVO extends ChannelOrder {
	
  // 渠道名称
  private ChannelVO channel;
  
  // 渠道名称
  private DeliveryCompany deliveryCompany;
	
  private List<ChannelOrderItemVO> items;

  @ApiModelProperty("自动确认收货时间")
  private String autoConfirmTime;
}
