package com.qs.mp.channel.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.channel.domain.ChannelCart;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.channel.domain.vo.ChannelCartVO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * @auther quanshu
 * @create 2022-03-02 12:22:24
 * @describe 经销商购物车mapper类
 */
public interface ChannelCartMapper extends BaseMapper<ChannelCart> {
  List<ChannelCartVO> listCartVO(@Param(Constants.WRAPPER) Wrapper<ChannelCart> queryWrapper);
}
