package com.qs.mp.channel.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.channel.domain.Channel;
import com.qs.mp.channel.domain.ChannelOrderDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.channel.domain.param.ChannelMyTicketQueryParam;
import com.qs.mp.channel.domain.vo.ChannelMyTicketVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @auther quanshu
 * @create 2022-03-02 12:22:24
 * @describe 经销商采购订单盲票包明细mapper类
 */
public interface ChannelOrderDetailMapper extends BaseMapper<ChannelOrderDetail> {


    /**
     * 查询我的盲票列表
     * @param wrapper
     * @return
     */
    List<ChannelMyTicketVO> selectListMyTicketByChannelIdAndchannelMyTicketQueryParam(@Param(Constants.WRAPPER) Wrapper<ChannelOrderDetail> wrapper);

}
