package com.qs.mp.channel.mapper;

import com.qs.mp.admin.domain.TicketPackage;
import com.qs.mp.admin.domain.vo.TicketPackageVO;
import com.qs.mp.channel.domain.ChannelOrderItem;
import com.qs.mp.channel.domain.vo.ChannelOrderItemVO;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;

/**
 * @auther quanshu
 * @create 2022-03-02 12:22:24
 * @describe 经销商盲票采购订单明细mapper类
 */
public interface ChannelOrderItemMapper extends BaseMapper<ChannelOrderItem> {

	List<ChannelOrderItemVO> listChannelOrderItemVO(@Param(Constants.WRAPPER) Wrapper<ChannelOrderItem> queryWrapper);
}
