package com.qs.mp.channel.mapper;

import com.qs.mp.channel.domain.ChannelUserRel;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @auther quanshu
 * @create 2022-03-02 12:23:22
 * @describe 经销商的用户mapper类
 */
public interface ChannelUserRelMapper extends BaseMapper<ChannelUserRel> {
    
	/**
	 * 根据渠道No查询渠道的用户数量
	 * @param channelNo
	 * @return
	 */
	int getChannelTotalUserCnt(@Param("channelNo") String channelNo);
	
	/**
	 * 根据渠道No查询渠道指定时间内新增的用户数量
	 * @param channelNo
	 * @return
	 */
	int getChannelNewUserCnt(@Param("channelNo") String channelNo, @Param("days") int days);
}
