package com.qs.mp.channel.service;

import com.qs.mp.channel.domain.ChannelOrderDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.channel.domain.param.ChannelMyTicketQueryParam;
import com.qs.mp.channel.domain.vo.ChannelMyTicketVO;

import java.util.List;

/**
 * <p>
 * 经销商采购订单盲票包明细 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
public interface IChannelOrderDetailService extends IService<ChannelOrderDetail> {

    /**
     * 获取我的盲票列表
     * @param channelId 经销商id
     * @param channelMyTicketQueryParam 查询参数
     * @return
     */
    List<ChannelMyTicketVO> listMyTicket(Long channelId, ChannelMyTicketQueryParam channelMyTicketQueryParam);
}
