package com.qs.mp.channel.service.impl;

import com.qs.mp.channel.domain.ChannelOrderItem;
import com.qs.mp.channel.domain.vo.ChannelOrderItemVO;
import com.qs.mp.channel.mapper.ChannelOrderItemMapper;
import com.qs.mp.channel.service.IChannelOrderItemService;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

import org.springframework.stereotype.Service;

/**
 * <p>
 * 经销商盲票采购订单明细 服务实现类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
@Service
public class ChannelOrderItemServiceImpl extends ServiceImpl<ChannelOrderItemMapper, ChannelOrderItem> implements IChannelOrderItemService {

	@Override
	public List<ChannelOrderItemVO> listChannelOrderItemVO(Wrapper<ChannelOrderItem> queryWrapper) {
		return getBaseMapper().listChannelOrderItemVO(queryWrapper);
	}

	
}
