package com.qs.mp.channel.service.impl;

import com.qs.mp.channel.domain.ChannelUserRel;
import com.qs.mp.channel.mapper.ChannelUserRelMapper;
import com.qs.mp.channel.service.IChannelUserRelService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 经销商的用户 服务实现类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
@Service
public class ChannelUserRelServiceImpl extends ServiceImpl<ChannelUserRelMapper, ChannelUserRel> implements IChannelUserRelService {

	@Override
	public int getChannelTotalUserCnt(String channelNo) {
		return getBaseMapper().getChannelTotalUserCnt(channelNo);
	}

	@Override
	public int getChannelNewUserCnt(String channelNo, int days) {
		return getBaseMapper().getChannelNewUserCnt(channelNo, days == 1?0:days);
	}
}
