package com.qs.mp.common.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 运费模板表实体类
 * @auther quanshu
 * @create 2022-04-29 17:38:31
 */
@TableName("mp_shipping_template")
@Data
@ApiModel("运费模板表实体类")
public class ShippingTemplate implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 运费模板标题
     */
    @ApiModelProperty("运费模板标题")
    @TableField("title")
    private String title;


    @ApiModelProperty("默认模板 0不默认,1默认")
    @TableField("is_default")
    private Integer isDefault;


    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("created_time")
    private Date createdTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("updated_time")
    private Date updatedTime;


}