package com.qs.mp.common.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 运费规则地区关联表实体类
 * @auther quanshu
 * @create 2022-04-29 17:39:13
 */
@TableName("mp_shipping_template_rule_area")
@Data
@ApiModel("运费规则地区关联表实体类")
public class ShippingTemplateRuleArea implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 运费规则id
     */
    @ApiModelProperty("运费规则id")
    @TableField("shipping_template_rule_id")
    private Long shippingTemplateRuleId;

    /**
     * 省份
     */
    @ApiModelProperty("省份")
    @TableField("province")
    private String province;

    /**
     * 省份ID
     */
    @ApiModelProperty("省份ID")
    @TableField("province_id")
    private Long provinceId;

    /**
     * 市
     */
    @ApiModelProperty("市")
    @TableField("city")
    private String city;

    /**
     * 市ID
     */
    @ApiModelProperty("市ID")
    @TableField("city_id")
    private Long cityId;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("created_time")
    private Date createdTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("updated_time")
    private Date updatedTime;


}