package com.qs.mp.user.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 活动助力入参类
 * @author Cup
 * @date 2022/5/18
 */
@ApiModel("活动助力入参类")
@Data
public class MarketingHelpParam {

    @NotNull(message = "活动id不能为空")
    @ApiModelProperty("活动ID")
    private Long marketingId;

    @ApiModelProperty("邀请码")
    private String inviteCode;
}
