package com.qs.mp.user.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 用户中奖信息列表查询入参类
 * @author Cup
 * @date 2022/5/19
 */
@ApiModel("用户中奖信息列表查询入参类")
@Data
public class UserMarketingHitPrizeQueryParam {

    @NotNull(message = "活动id不能为空")
    @ApiModelProperty("活动id")
    private Long marketingId;

}
