package com.qs.mp.user.domain.vo;

import com.qs.mp.user.domain.UserDeliverOrder;
import com.qs.mp.user.domain.UserDeliverOrderItem;

import java.time.LocalDateTime;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/17
 */
@Data
@ApiModel(value = "提货订单展示VO")
public class DeliverOrderVO extends UserDeliverOrder {

  @ApiModelProperty("提货订单VO")
  List<UserDeliverOrderItemVO> items;
  // 物流信息
  @ApiModelProperty("物流信息")
  List<OrderDeliverItemVO> deliverList;

  @ApiModelProperty("自动确认收货时间")
  private String autoConfirmTime;
}
