package com.qs.mp.user.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.qs.mp.user.domain.UserDeliverOrderItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 盲票中奖弹幕 VO
 *
 * @author Cup
 * @date 2022/4/13
 */
@ApiModel("盲票中奖弹幕 VO")
@Data
public class TicketHitPrizeBarrageVO {

    @ApiModelProperty("用户名")
    private String nickName;

    @ApiModelProperty("用户头像")
    private String avatar;

    @ApiModelProperty("奖品信息")
    private String prizeInfo;

    @ApiModelProperty("数量")
    private Integer value;

    @ApiModelProperty("奖品类型")
    private String prizeType;

    @ApiModelProperty("弹幕类型 1中奖,2兑换")
    private Integer type;

    @ApiModelProperty("创建时间")
    private Date createdTime;

}
