package com.qs.mp.user.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户活动中奖详情出参类
 * @author Cup
 * @date 2022/5/19
 */
@ApiModel("用户活动中奖详情出参类")
@Data
public class UserMarketingHitPrizeDetailVO {

    @ApiModelProperty("是否中奖,0未中奖,1中奖")
    private Integer isHit;

    @ApiModelProperty("奖级")
    private String awardName;

    @ApiModelProperty("奖品")
    private String prizeTitle;

    @ApiModelProperty("奖品图片")
    private String prizePicUrl;
}
