package com.qs.mp.user.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户营销活动中奖列表出参类
 * @author Cup
 * @date 2022/5/19
 */
@ApiModel("用户营销活动中奖列表出参类")
@Data
public class UserMarketingHitPrizeListVO {

    @ApiModelProperty("用户昵称")
    private String nickName;

    @ApiModelProperty("用户头像")
    private String avatar;

    @ApiModelProperty("中奖码")
    private String code;

    @ApiModelProperty("奖品图片")
    private String prizePicUrl;

    @ApiModelProperty("奖级")
    private String awardName;

    @ApiModelProperty("奖品")
    private String prizeTitle;

}
