package com.qs.mp.admin.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 商品和标签的关系实体类
 * @auther quanshu
 * @create 2022-04-07 11:42:42
 */
@TableName("mp_goods_tag_rel")
@Data
public class GoodsTagRel implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "id", type = IdType.AUTO)
  private Long id;

  /**
   * 商品ID
   */
  @TableField("goods_id")
  private Long goodsId;

  /**
   * 标签ID
   */
  @TableField("tag_id")
  private Long tagId;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
