package com.qs.mp.admin.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 盲票组标签实体类
 * @auther quanshu
 * @create 2022-03-03 14:38:49
 */
@TableName("mp_ticket_tag")
@Data
public class TicketTag implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "tag_id" , type = IdType.AUTO)
  private Long tagId;

  /**
   * 标签名
   */
  @TableField("name")
  private String name;

  /**
   * 顺序
   */
  @TableField("sort")
  private Integer sort;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
