package com.qs.mp.admin.domain.excel;

import com.qs.mp.common.annotation.Excel;
import com.qs.mp.common.enums.ChannelCertifyStatusEnum;
import com.qs.mp.common.enums.SiteTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 经销商导出
 * @author Cup
 * @date 2022/5/13
 */
@ApiModel("经销商导出")
@Data
public class ChannelExcel {

    @Excel(name = "经销商编号")
    private Long channelId;

    @Excel(name = "经销商名称")
    private String name;

    @Excel(name = "经销商认证状态")
    private String certifyStatus;

    @Excel(name = "经销商佣金比例(%)")
    private BigDecimal commRate;

    @Excel(name = "上级渠道")
    String parentsName;

}
