package com.qs.mp.admin.domain.excel;

import com.qs.mp.common.annotation.Excel;

import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/7
 */
@Data
public class TicketExcel {

  /**
   * 序列号
   */
  @Excel(name = "SERIAL_NO")
  private String serialNo;
  

  /**
   * URL
   */
  @Excel(name = "URL")
  private String url;
  
  
  /**
   * 抽奖数字描述（json格式，包含数字、奖项）
   */
  @Excel(name = "DRAW_NUM")
  private String drawNum;

  /**
   * 加密幸运数字
   */
  @Excel(name = "LUCKY_NUM")
  private String cipherLuckyNum;

}
