package com.qs.mp.admin.domain.excel;

import com.qs.mp.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 用户兑换订单导出类
 * @author Cup
 * @date 2022/5/10
 */
@ApiModel("用户兑换订单导出类")
@Data
public class UserExchangeOrderExcel {

    @Excel(name = "兑换时间")
    private Date createdTime;

    @Excel(name = "商品名称")
    private String goodsName;

    @Excel(name = "商品规格")
    private String sku;

    @Excel(name = "商品单价")
    private Integer exchangePrice;

    @Excel(name = "兑换数量")
    private Integer num;

    @Excel(name = "支付盲豆数量")
    private Integer payPrice;

    @Excel(name = "用户昵称")
    private String nickName;

    @Excel(name = "用户手机号")
    private String phone;


}

