package com.qs.mp.admin.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import lombok.Data;

/**
 * @describe 道发货订单可选择的票包列表筛选参数
 * @auther quanshu
 * @create 2022-03-022 20:43:44
 */
@ApiModel(value = "渠道发货订单可选择的票包列表筛选参数")
@Data
public class ChannelOrderPkgParam {

	@ApiModelProperty(value = "订单编号", required = false)
	private String orderId;


	@ApiModelProperty(value = "盲票组ID", required = false)
	private String boxId;
	
	
	@ApiModelProperty(value = "盲票包编号", required = false)
	private String pkgNo;

}
