package com.qs.mp.admin.domain.param;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 券包查询入参类
 * @author Cup
 * @date 2022/5/6
 */
@ApiModel("券包查询入参类")
@Data
public class CouponPkgQueryParam {
    /**
     * 券包标题
     */
    @ApiModelProperty("券包标题")
    private String title;

    /**
     * 券包，状态 0待上架 1 上架 2下架
     */
    @ApiModelProperty("券包，状态 0待上架 1 上架 2下架")
    private Integer status;



}
