package com.qs.mp.admin.domain.param;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value= "首页统计参数")
@Data
public class IndexQueryParam {

	@ApiModelProperty(value = "统计最近几天",required=false)
	private Integer days;

	@ApiModelProperty(value = "自定义开始时间",required=false)
	private Date startTime;

	@ApiModelProperty(value = "自定义截止时间",required=false)
	private Date endTime;

	@ApiModelProperty(value = "统计粒度",required=false)
	private String level;
}
