package com.qs.mp.admin.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运费计算出参类
 * @author Cup
 * @date 2022/5/5
 */
@ApiModel("运费计算出参类")
@Data
public class ShippingTemplateCalculateVO {

    /**
     * 类型 1发货，2不发货，默认1
     */
    @ApiModelProperty("类型 1发货，2不发货，默认1")
    private Integer type;

    /**
     * 默认数量
     */
    @ApiModelProperty("默认数量")
    private Integer defaultNumber;

    /**
     * 默认价格
     */
    @ApiModelProperty("默认价格")
    private Integer defaultPrice;

    /**
     * 新增数量
     */
    @ApiModelProperty("新增数量")
    private Integer createNumber;

    /**
     * 新增价格
     */
    @ApiModelProperty("新增价格")
    private Integer createPrice;


    @ApiModelProperty("备注")
    private String remark;

}
