package com.qs.mp.admin.domain.vo;

import com.qs.mp.admin.domain.TicketAwards;
import com.qs.mp.admin.domain.TicketAwardsPrize;
import java.math.BigDecimal;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 盲票盒奖项对应的奖品
 * @auther quanshu
 * @create 2022-03-02 12:25:55
 */
@Data
@ApiModel("盲票盒奖项对应的奖品VO")
public class TicketAwardsVO extends TicketAwards {

  @ApiModelProperty("奖品列表")
  List<TicketAwardsPrize> prizeList;
}
