package com.qs.mp.admin.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.qs.mp.admin.domain.TicketBox;
import java.util.List;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/7
 */
@Data
public class TicketVO {
  // 奖品列表
  List<TicketAwardsPrizeVO> prizeList;

  /**
   * 盲票ID
   */
  private String ticketId;

  /**
   * 盲票组ID
   */
  private String boxId;

  /**
   * 图片
   */
  private String picUrl;

  /**
   * 标题
   */
  private String title;

  /**
   * 序列号
   */
  private String serialNo;

  /**
   * 面值
   */
  private Integer facePrice;

  /**
   *
   */
  private Integer salePrice;

  /**
   * 明文幸运数字
   */
  private Integer plainLuckyNum;

  /**
   * 盲票状态（未付款、已激活、已兑奖、付款中）
   */
  private Integer status;

}
