package com.qs.mp.admin.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 用户兑换订单出参类
 * @author Cup
 * @date 2022/5/10
 */
@ApiModel("用户兑换订单出参类")
@Data
public class UserExchangeOrderVO {

    @ApiModelProperty("商品名称")
    private String goodsName;

    @ApiModelProperty("商品主图")
    private String picUrl;

    @ApiModelProperty("商品规格")
    private String sku;

    @ApiModelProperty("单价(盲豆)")
    private Integer exchangePrice;

    @ApiModelProperty("兑换数量")
    private Integer num;

    @ApiModelProperty("支付盲豆数")
    private Integer payPrice;

    @ApiModelProperty("用户昵称")
    private String nickName;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("兑换时间")
    private Date createdTime;

}
