package com.qs.mp.admin.domain.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.qs.mp.common.enums.TicketStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 用户盲票订单盲票详情出参类
 * @author Cup
 * @date 2022/5/6
 */
@ApiModel("用户盲票订单盲票详情出参类")
@Data
public class UserTicketOrderTicketDetailVO {

    @ApiModelProperty("盲票序列号")
    private String serialNo;

    @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
    @ApiModelProperty("盲票状态;1未付款、2已激活、3已兑奖、4付款中")
    private TicketStatusEnum status;

    @ApiModelProperty("奖级")
    private String prizeGrade;

    @ApiModelProperty("奖品名称")
    private String prizeTitle;
}
