package com.qs.mp.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.admin.domain.TicketBox;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @auther quanshu
 * @create 2022-03-02 12:25:55
 * @describe 盲票组mapper类
 */
public interface TicketBoxMapper extends BaseMapper<TicketBox> {

    /**
     * 根据条件查询盲票组列表
     * @param queryWrapper
     * @return
     */
    List<TicketBox> listBySaleChannel(@Param(Constants.WRAPPER) QueryWrapper<TicketBox> queryWrapper);
}
