package com.qs.mp.admin.service.impl;

import com.qs.mp.admin.domain.TicketPackage;
import com.qs.mp.admin.domain.vo.TicketPackageVO;
import com.qs.mp.admin.mapper.TicketPackageMapper;
import com.qs.mp.admin.service.ITicketPackageService;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

import org.springframework.stereotype.Service;

/**
 * <p>
 * 盲票包 服务实现类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
@Service
public class TicketPackageServiceImpl extends ServiceImpl<TicketPackageMapper, TicketPackage> implements ITicketPackageService {

	@Override
	public List<TicketPackageVO> listTicketPackageVO(Wrapper<TicketPackage> queryWrapper) {
		return getBaseMapper().listTicketPackageVO(queryWrapper);
	}

	
}
