package com.qs.mp.channel.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import javax.validation.constraints.NotNull;
import lombok.Data;

@ApiModel(value= "渠道邀请参数")
@Data
public class ChannelInviteParam {

	@NotNull(message = "渠道ID不能为空")
	@ApiModelProperty(value = "父渠道ID",required=true)
	private Long channelId;

	@NotNull(message = "邀请类型不能为空")
	@ApiModelProperty(value = "邀请类型",required=true)
	private String type;

	@NotNull(message = "手机号不能为空")
	@ApiModelProperty(value = "手机号",required=true)
	private String mobile;

	@NotNull(message = "消息ID不能为空")
	@ApiModelProperty(value = "消息ID",required=true)
	private String messageId;

	@NotNull(message = "验证码不能为空")
	@ApiModelProperty(value = "验证码",required=true)
	private String code;

}
