package com.qs.mp.channel.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 盲票转让详情出参类
 * @author Cup
 * @date 2022/4/21
 */
@ApiModel("盲票转让详情出参类")
@Data
public class ChannelTicketTransferDetailVO {

    @ApiModelProperty("盲票名称")
    private String title;

    @ApiModelProperty("票包编号")
    private String pkgNo;

    @ApiModelProperty("门店名称")
    private String channelName;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("转让时间")
    private Date createdTime;
}
