package com.qs.mp.channel.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.channel.domain.ChannelCart;
import com.qs.mp.channel.domain.ChannelWithdraw;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.channel.domain.vo.ChannelCartVO;
import com.qs.mp.channel.domain.vo.ChannelWithdrawVO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * @auther quanshu
 * @create 2022-03-04 17:11:47
 * @describe 渠道提现表mapper类
 */
public interface ChannelWithdrawMapper extends BaseMapper<ChannelWithdraw> {
  List<ChannelWithdrawVO> listWithdrawVO(@Param(Constants.WRAPPER) Wrapper<ChannelWithdraw> queryWrapper);
}
