package com.qs.mp.channel.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.channel.domain.ChannelCart;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.channel.domain.param.ChannelCartParam;
import com.qs.mp.channel.domain.vo.ChannelCartVO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 经销商购物车 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
public interface IChannelCartService extends IService<ChannelCart> {

  /**
   * 购物车列表
   * @param queryWrapper
   * @return
   */
  List<ChannelCartVO> listCartVO(Wrapper<ChannelCart> queryWrapper);

  /**
   * 加购，包含减购
   * @param param
   * @return
   */
  boolean addToCart(ChannelCartParam param);
}
