package com.qs.mp.channel.service;

import com.qs.mp.channel.domain.ChannelOrderItem;
import com.qs.mp.channel.domain.vo.ChannelOrderItemVO;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 经销商盲票采购订单明细 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
public interface IChannelOrderItemService extends IService<ChannelOrderItem> {

	/**
	 * 查询明细
	 * @param queryWrapper
	 * @return
	 */
	List<ChannelOrderItemVO> listChannelOrderItemVO(Wrapper<ChannelOrderItem> queryWrapper);
}
