package com.qs.mp.common.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.admin.domain.vo.ShippingTemplateCalculateVO;
import com.qs.mp.common.domain.ShippingTemplateRule;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @auther quanshu
 * @create 2022-04-29 17:38:57
 * @describe 运费规则表mapper类
 */
public interface ShippingTemplateRuleMapper extends BaseMapper<ShippingTemplateRule> {

    /**
     * 根据运费模板和地区信息获取运费规则
     *
     * @param queryWrapper
     * @return
     */
    ShippingTemplateCalculateVO selectShippingTemplateRuleByTemplateIdAndAreaInfo(@Param(Constants.WRAPPER) QueryWrapper<ShippingTemplateRule> queryWrapper);
}
