package com.qs.mp.common.service;

import com.qs.mp.common.domain.Area;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
public interface IAreaService extends IService<Area> {
  /**
   * 通过pid 查找地址接口
   *
   * @param pid 父id
   * @return
   */
  List<Area> listByPid(Long pid);
}
