package com.qs.mp.core.domain;

import lombok.Data;

/**
 * 上传的文件对象
 * @author zhongcp
 * @Date 2021/9/6
 */
@Data
public class UploadAttachment {
  // 文件名，存储在云端的key，可能包含相对目录，比如2099122220001234/EFFKYW3IGK5NYL9BGIB7
  private String fileName;
  // 文件类型，取值为上传文件时请求头的content-type，比如application/pdf
  private String fileType;

  public UploadAttachment(String fileName, String fileType){
    this.fileName = fileName;
    this.fileType = fileType;
  }
}
