package com.qs.mp.framework.service;

import com.qs.mp.framework.domain.AppToken;

/**
 * App接口访问凭证服务
 * @author duota
 *
 */
public interface IAppTokenService {
    
    /**
     * 根据appId查询应用访问凭证
     * @param appId
     * @return
     */
    AppToken selectByPrimaryKey(String appId);

    /**
     * 获取access_token
     *
     * @param appId
     * @return
     */
    String getAccessToken(String appId);

}
