package com.qs.mp.framework.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.framework.domain.WxAccount;

/**
 * <p>
 * 微信用户表 服务类
 * </p>
 *
 * @author ygp
 * @since 2021-09-24
 */
public interface IWxAccountService extends IService<WxAccount> {

  /**
   * 关注公众号
   * @param openid
   * @return
   */
  boolean followGzh(String openid);

  /**
   * 取消关注公众号
   * @param openid
   * @return
   */
  boolean unFollowGzh(String openid);

  /**
   * 获取用户信息
   * @param openid
   * @param appId
   * @return
   */
  String getUserInfo(String openid, String appId);

}
