package com.qs.mp.user.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 用户代币实体类
 * @auther quanshu
 * @create 2022-03-07 20:45:43
 */
@TableName("mp_user_coin")
@Data
public class UserCoin implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 用户ID
   */
  @TableId(value = "user_id", type = IdType.INPUT)
  private Long userId;

  /**
   * 代币数
   */
  @TableField("coin")
  private Integer coin;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
