package com.qs.mp.user.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import javax.validation.constraints.NotEmpty;
import lombok.Data;

@ApiModel(value= "提货订单参数")
@Data
public class DeliverOrderParam {

	@NotEmpty(message = "奖品库ID不能为空")
	@ApiModelProperty(value = "奖品库IDs",required=true)
	private List<String> ids;

	@ApiModelProperty(value = "地址ID",required=false)
	private Long addrId;
}
