package com.qs.mp.user.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import javax.validation.constraints.NotEmpty;
import lombok.Data;

@ApiModel(value= "兑换订单参数")
@Data
public class ExchangeOrderParam {

	@NotEmpty(message = "商品ID不能为空")
	@ApiModelProperty(value = "商品ID",required=true)
	private Long goodsId;

	@ApiModelProperty(value = "skuID",required=true)
	private Long skuId;

	@NotEmpty(message = "兑换数量不能为空")
	@ApiModelProperty(value = "兑换数量",required=false)
	private Integer orderNum;
}
