package com.qs.mp.user.domain.param;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 营销活动查询入参类
 * @author Cup
 * @date 2022/5/17
 */
@ApiModel("营销活动查询入参类")
@Data
public class UserMarketingQueryParam {

    @NotNull(message = "状态不能为空")
    @ApiModelProperty("开奖状态: 0未开奖,1已开奖")
    private Integer triggerStatus;
}
