package com.qs.mp.user.domain.vo;

import com.qs.mp.user.domain.UserDeliverOrder;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/17
 */
@Data
@ApiModel("用户提货订单详情")
public class UserDeliverOrderVO extends UserDeliverOrder {

	// 明细
	@ApiModelProperty("提货订单项明细")
	List<UserDeliverOrderItemVO> items;

	// 用户昵称
	@ApiModelProperty("用户昵称")
	private String nickName;

	// 物流信息
	@ApiModelProperty("物流信息")
	List<OrderDeliverItemVO> deliverList;

}
