package com.qs.mp.user.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.admin.domain.TicketAwardsPrize;
import com.qs.mp.admin.domain.vo.TicketAwardsPrizeVO;
import com.qs.mp.user.domain.UserCoupon;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.user.domain.vo.UserCouponVO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * @auther quanshu
 * @create 2022-03-07 20:45:43
 * @describe 用户的优惠券mapper类
 */
public interface UserCouponMapper extends BaseMapper<UserCoupon> {

  List<UserCouponVO> listUserCouponVO(@Param(Constants.WRAPPER) Wrapper<UserCoupon> queryWrapper);
}
