package com.qs.mp.user.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.admin.domain.vo.MarketingUserCodeListVO;
import com.qs.mp.user.domain.MarketingUserCode;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 营销活动用户参与码关系表 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-05-16
 */
public interface IMarketingUserCodeService extends IService<MarketingUserCode> {


    /**
     * 根据参数查询抽奖码相关列表信息
     * @param queryWrapper
     * @return
     */
    List<MarketingUserCodeListVO> listMarketingUserCodeByQueryWrapper(QueryWrapper<MarketingUserCode> queryWrapper);
}
