package com.qs.mp.user.service;

import com.qs.mp.admin.domain.TicketAwardsPrize;
import com.qs.mp.common.enums.PrizeStorageInTypeEnum;
import com.qs.mp.user.domain.UserPrizeStorage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 用户实物奖品仓库 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-07
 */
public interface IUserPrizeStorageService extends IService<UserPrizeStorage> {

  /**
   * 商品入用户的奖品库
   * @param userId
   * @param ticketAwardsPrize
   * @param inTypeEnum
   * @param refId
   */
  void takeInStorage(Long userId, String title, String picUrl, String goodsId, PrizeStorageInTypeEnum inTypeEnum, String refId);
}
