package com.qs.mp.user.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.admin.domain.excel.MarketingHitPrizeExcel;
import com.qs.mp.user.domain.MarketingHitPrize;
import com.qs.mp.user.domain.vo.UserMarketingHitPrizeListVO;
import com.qs.mp.user.mapper.MarketingHitPrizeMapper;
import com.qs.mp.user.service.IMarketingHitPrizeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 营销活动中奖信息表 服务实现类
 * </p>
 *
 * @author quanshu
 * @since 2022-05-16
 */
@Service
public class MarketingHitPrizeServiceImpl extends ServiceImpl<MarketingHitPrizeMapper, MarketingHitPrize> implements IMarketingHitPrizeService {


    @Override
    public List<UserMarketingHitPrizeListVO> listHitPrizeByQueryWrapper(QueryWrapper<MarketingHitPrize> queryWrapper) {
        return getBaseMapper().listHitPrizeByQueryWrapper(queryWrapper);
    }

    @Override
    public List<MarketingHitPrizeExcel> listHitPrizeExportByQueryWrapper(QueryWrapper<MarketingHitPrize> queryWrapper) {
        return getBaseMapper().listHitPrizeExportByQueryWrapper(queryWrapper);
    }
}
